Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class MessageProcessorFilterPairFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.MessageProcessorFilterPairFactoryBean

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.FactoryBean

    public class MessageProcessorFilterPairFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean, MuleContextAware

Constructor Summary
`MessageProcessorFilterPairFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setCustomEvaluator(String customEvaluator)`
`void` | `setEvaluator(String evaluator)`
`void` | `setExpression(String expression)`
`void` | `setFilter(Filter filter)`
`void` | `setMessageProcessors(List<MessageProcessor> messageProcessors)`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageProcessorFilterPairFactoryBean

    public MessageProcessorFilterPairFactoryBean()

Method Detail

### setFilter

    public void setFilter(Filter filter)

### setMessageProcessors

    public void setMessageProcessors(List<MessageProcessor> messageProcessors)

### setExpression

    public void setExpression(String expression)

### setEvaluator

    public void setEvaluator(String evaluator)

### setCustomEvaluator

    public void setCustomEvaluator(String customEvaluator)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.